# Step by step setup guide

# raspi-config

First, set up the camera, the RAM split and expand the disk with the rpi-config command:

```bash
pi@raspberrypi:~ $ sudo raspi-config
```

First set up camera with option 5:
![raspi-config-mainscreen](images/raspi-config-mainscreen.png)

Then choose P1 Camera:
![raspi-config-mainscreen](images/raspi-config-camera.png)

Then go back to the main screen and choose option 7:
![raspi-config-mainscreen](images/raspi-config-mainscreen7.png)

First Expand Filesystem A1:
![raspi-config-mainscreen](images/raspi-config-advanced-expand.png)

Then return to option 7 again and choose A3 memory split:
![raspi-config-mainscreen](images/raspi-config-advanced-memory.png)

Set this to 256 and then exit raspi-config. When prompted to restart, select yes - this is to ensure the disk is resized before we updated.

# Update the system

First install screen, so that you don't have to worry about a disconnect mid update:

```bash
pi@raspberrypi:~ $ sudo apt update && sudo apt install screen -y
```

Then start screen and update:
```bash
pi@raspberrypi:~ $ screen
pi@raspberrypi:~ $ sudo apt upgrade -y
```
Then, once it's finished, another reboot.
